compiler_opts = ['-DVWR_WITH_IMPLICIT_CONVERSIONS', '-DVWR_EXTRA_ACCESSORS']

exec_target = executable(meson.project_name(),
	'test_conversions.cpp',
	'test_ops.cpp',
	'example.cpp',
	'test_get_at.cpp',
	'test_operators.cpp',
	'test_sequence_range.cpp',
	'test_offset_getters.cpp',
	'test_custom_type.cpp',
	'test_min_max.cpp',
	'test_c_array.cpp',
	install: false,
	dependencies: [gtest_dep, vectorwrapper_dep],
	cpp_args: compiler_opts,
)

test(meson.project_name() + ' unit test', exec_target)
